Last Comment Bug 785514 - Use also inverted icons for AB and Compozer with dark Personas
: Use also inverted icons for AB and Compozer with dark Personas
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Theme (show other bugs)
: unspecified
: All Windows 7
: -- normal (vote)
: Thunderbird 18.0
Assigned To: Andreas Nilsson (:andreasn)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-24 14:37 PDT by Richard Marti (:Paenglab)
Modified: 2012-08-31 03:30 PDT (History)
4 users (show)
ryanvm: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
inverted toolbar icons (9.19 KB, patch)
2012-08-27 09:48 PDT, Andreas Nilsson (:andreasn)
no flags Details | Diff | Review
graphics + css (10.47 KB, patch)
2012-08-27 10:52 PDT, Andreas Nilsson (:andreasn)
no flags Details | Diff | Review
graphics + css (10.96 KB, patch)
2012-08-27 11:03 PDT, Andreas Nilsson (:andreasn)
richard.marti: review+
Details | Diff | Review
screenshot of compose window with patch (172.33 KB, image/png)
2012-08-27 11:06 PDT, Andreas Nilsson (:andreasn)
no flags Details
screenshot of address book window (180.44 KB, image/png)
2012-08-27 11:07 PDT, Andreas Nilsson (:andreasn)
no flags Details
graphics + css (10.81 KB, patch)
2012-08-27 12:31 PDT, Andreas Nilsson (:andreasn)
bugs: review+
bwinton: ui‑review+
Details | Diff | Review

Description Richard Marti (:Paenglab) 2012-08-24 14:37:45 PDT
With Bug 784975 the main window uses inverted icons with dark personas. AB and Compozer have actually no inverted icons. Dark icons on dark personas don't look so good.
Comment 1 Richard Marti (:Paenglab) 2012-08-24 14:39:33 PDT
Andreas, please can you create inverted icons for AB and Compozer?
Comment 2 Andreas Nilsson (:andreasn) 2012-08-27 09:48:55 PDT
Created attachment 655624 [details] [diff] [review]
inverted toolbar icons

Here is the graphics.
Comment 3 Andreas Nilsson (:andreasn) 2012-08-27 10:52:30 PDT
Created attachment 655647 [details] [diff] [review]
graphics + css
Comment 4 Andreas Nilsson (:andreasn) 2012-08-27 11:03:19 PDT
Created attachment 655656 [details] [diff] [review]
graphics + css

Fixed the security icon too.
Comment 5 Andreas Nilsson (:andreasn) 2012-08-27 11:06:43 PDT
Created attachment 655658 [details]
screenshot of compose window with patch
Comment 6 Andreas Nilsson (:andreasn) 2012-08-27 11:07:20 PDT
Created attachment 655659 [details]
screenshot of address book window
Comment 7 Richard Marti (:Paenglab) 2012-08-27 11:59:27 PDT
Comment on attachment 655656 [details] [diff] [review]
graphics + css

Review of attachment 655656 [details] [diff] [review]:
-----------------------------------------------------------------

Looks good.
r+ with two nits fixed:

::: mail/themes/qute/mail/addrbook/addressbook-aero.css
@@ +243,5 @@
>    }
>  }
>  
> +#ab-bar2:-moz-lwtheme-brighttext .toolbarbutton-1 {
> +   list-style-image: url("chrome://messenger/skin/addressbook/icons/addressbook-toolbar-inverted.png");

One white space to much.

::: mail/themes/qute/mail/compose/messengercompose-aero.css
@@ +289,5 @@
>    }
>  }
>  
> +#composeToolbar2:-moz-lwtheme-brighttext .toolbarbutton-1 {
> +   list-style-image: url("chrome://messenger/skin/messengercompose/compose-toolbar-inverted.png");

Also here three instead of two white spaces.
Comment 8 Andreas Nilsson (:andreasn) 2012-08-27 12:31:05 PDT
Created attachment 655704 [details] [diff] [review]
graphics + css

Updated patch to address Richards nits. Carrying over review+
Comment 9 Blake Winton (:bwinton) (:☕️) (PTO 'til London. Find me there for quick answers!) 2012-08-27 13:24:11 PDT
Comment on attachment 655704 [details] [diff] [review]
graphics + css

ui-r=me, based on the screenshots…

Thanks,
Blake.
Comment 10 Richard Marti (:Paenglab) 2012-08-28 13:08:53 PDT
I set checkin-needed as the patch has ui-r+ and r+
Comment 11 Ryan VanderMeulen [:RyanVM] 2012-08-31 03:30:24 PDT
https://hg.mozilla.org/comm-central/rev/d7e8c7ff579b

Note You need to log in before you can comment on or make changes to this bug.